Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# HasDynamicXStepTypeConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct boost::gil::HasDynamicXStepTypeConcept< T >

Concept for iterators, locators and views that can define a type just like the given iterator/locator/view, except it supports runtime specified step along the X navigation.

Pixel ITERATOR CONCEPTS

    concept HasDynamicXStepTypeConcept<typename T> {
        typename dynamic_x_step_type<T>;
            where Metafunction<dynamic_x_step_type<T> >;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp